Anforderungen an die Paketerkennung

Quelle auf GitHub ansehen

Wenn Sie Pyspinel verwenden möchten, müssen Sie die folgenden Hardware- und Softwareanforderungen erfüllen.

Hardware

  • Hostcomputer, der als NCP dient und Pyspinel und Wireshark ausführt:

    • macOS – 64-Bit OS X 10.6 oder höher
    • Linux
    • Windows – 10 oder höher
  • 1 OpenThread-Gerät mit einem ot-ncp-ftd- oder ot-rcp-Build.

    • Bei einem ot-ncp-ftd-Build muss der LINK_RAW=1-Build-Switch verwendet werden.

Software:

  • Python 3 zum Ausführen von Pyspinel
  • Wireshark

    • 2.4.1 oder höher für die Unterstützung von Thread-Protokollen
    • 3.0.6 oder neuer für extcap-Unterstützung. Weitere Informationen zur Verwendung des Wireshark-Erweiterungs-Plug-ins mit Pyspinel finden Sie unter Pyspinel installieren.